- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/organizations/updateOrganizationSettings#try-it)

> [!WARNING]
> This item is deprecated!

Updates an organization's settings.

### IAM Permissions

Requires the following IAM permission on the `organizationSettings.name` field:

- `securitycenter.organizationsettings.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`PATCH https://securitycenter.googleapis.com/v1beta1/{organizationSettings.name=organizations/*/organizationSettings}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `organizationSettings.name` | `string` The relative resource name of the settings. See: <https://cloud.google.com/apis/design/resource_names#relative_resource_name> Example: "organizations/{organizationId}/organizationSettings". |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The FieldMask to use when updating the settings resource. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/OrganizationSettings`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1beta1/OrganizationSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).